View Issue Details

IDProjectCategoryView StatusLast Update
0018139LazarusLCLpublic2012-01-19 22:16
ReporterAndruAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0018139: BorderStyle = bsDialog + not default Constraints => Form doesn't move
DescriptionI don't understand why Form can be resized under Linux if BorderStyle = bsDialog, so I changed Constraints(600,800,600,800) and... got another problem - form doesn't move.
Additional InformationOS: ArchLinux x86_64
DE: GNOME
WM: Metacity
TagsNo tags attached.
Fixed in Revision34679
LazTarget1.0
WidgetsetGTK 2
Attached Files

Relationships

related to 0020741 closedZeljan Rikalo BorderStyle does not work(resizable) both in GTK2 or Qt4 

Activities

Paul Ishenin

2010-12-03 03:38

manager   ~0043908

This is a known bug

Bart Broersma

2010-12-03 10:40

developer   ~0043917

As a workaround maybe set constraints to 800,600,801,601?

Zeljan Rikalo

2012-01-09 14:42

developer   ~0055618

Please test and close if ok.

Andru

2012-01-19 22:16

reporter   ~0055863

Strange, after status has changed I didn't get any notification... But, bug is fixed now, so thank you :)

Issue History

Date Modified Username Field Change
2010-12-02 22:33 Andru New Issue
2010-12-02 22:33 Andru Widgetset => GTK 2
2010-12-03 03:38 Paul Ishenin LazTarget => 1.0
2010-12-03 03:38 Paul Ishenin Note Added: 0043908
2010-12-03 03:38 Paul Ishenin Status new => acknowledged
2010-12-03 03:38 Paul Ishenin Target Version => 1.0.0
2010-12-03 10:40 Bart Broersma Note Added: 0043917
2012-01-09 14:25 Zeljan Rikalo Relationship added related to 0020741
2012-01-09 14:42 Zeljan Rikalo Fixed in Revision => 34679
2012-01-09 14:42 Zeljan Rikalo Status acknowledged => resolved
2012-01-09 14:42 Zeljan Rikalo Fixed in Version => 0.9.31 (SVN)
2012-01-09 14:42 Zeljan Rikalo Resolution open => fixed
2012-01-09 14:42 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-01-09 14:42 Zeljan Rikalo Note Added: 0055618
2012-01-19 22:16 Andru Note Added: 0055863
2012-01-19 22:16 Andru Status resolved => closed